LengthException
OutOfBoundsException
Exceptions
PHP Manual

# The LogicException class

(PHP 5 >= 5.1.0)

## Introdução

Exception that represents error in the program logic. This kind of exceptions should directly lead to a fix in your code.

## Sinopse da classe

LogicException extends Exception {
/* Propriedades herdadas */
protected string $message ;
private string $string ;
protected int $code ;
protected string $file ;
protected int $line ;
private array $trace ;
/* Métodos herdados */
final public string Exception::getMessage ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public string Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private string Exception::__clone ( void )
}

LengthException
OutOfBoundsException
Exceptions
PHP Manual